summaryrefslogtreecommitdiff
path: root/test/aux-fixed/resubmitB
diff options
context:
space:
mode:
Diffstat (limited to 'test/aux-fixed/resubmitB')
-rwxr-xr-xtest/aux-fixed/resubmitB20
1 files changed, 20 insertions, 0 deletions
diff --git a/test/aux-fixed/resubmitB b/test/aux-fixed/resubmitB
new file mode 100755
index 000000000..f92596864
--- /dev/null
+++ b/test/aux-fixed/resubmitB
@@ -0,0 +1,20 @@
+#! /usr/bin/perl -w
+
+# A test script that reads a message and resubmits it to Exim (having
+# notionally checked it - but there's no checking here). This version
+# uses BSMTP for input and output.
+
+# The number of the test is in the only argument - so we can call Exim
+# with the appropriate configuration file.
+
+($dir,$caller) = @ARGV;
+
+$cmd =
+ "$dir/eximdir/exim -C $dir/test-config -DCALLER=$caller -DDIR=$dir " .
+ "-DEXIM_PATH=$dir/eximdir/exim -odi -bS -oMr scanned-ok";
+
+open(OUT, "|$cmd") || die "Failed to set up Exim process\n";
+print OUT while (<STDIN>);
+close(OUT);
+
+# End